Bug 448459 - prelink 0.4.0-3 fails with assertion prelink: exec.c:194: prelink_exec: Assertion `old_bss != -1' failed.
prelink 0.4.0-3 fails with assertion prelink: exec.c:194: prelink_exec: Asser...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
9
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 23:37 EDT by Tony Breeds
Modified: 2009-06-14 23:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-14 23:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from prelink -v -mR -f /usr/bin/ddjvu (1.41 KB, text/plain)
2008-05-26 23:37 EDT, Tony Breeds
no flags Details
quick gdb session (4.20 KB, text/plain)
2008-05-26 23:43 EDT, Tony Breeds
no flags Details
Output readelf -a /usr/bin/ddjvu (5.13 KB, text/plain)
2008-05-26 23:45 EDT, Tony Breeds
no flags Details

  None (edit)
Description Tony Breeds 2008-05-26 23:37:43 EDT
I noticed that the daily cronjob for prelinking was failing and retuning 134.

Upon investigation it seem that "prelink -av -mR -f" is hitting:
<snip>
Prelinking /usr/bin/gnome-power-manager
Prelinking /usr/bin/nm-online
Prelinking /usr/bin/ddjvu
prelink: exec.c:194: prelink_exec: Assertion `old_bss != -1' failed.

When running prelink -v -mR -f /usr/bin/ddjvu succeeds (output attached)
Comment 1 Tony Breeds 2008-05-26 23:37:43 EDT
Created attachment 306720 [details]
Output from prelink -v -mR -f /usr/bin/ddjvu
Comment 2 Tony Breeds 2008-05-26 23:43:30 EDT
Created attachment 306722 [details]
quick gdb session

I wanted to verify that it was in fact "/usr/bin/ddjvu" failing so I did some
quick poking with GDB.	I don't pretend to understand what prelink is doing :)
Comment 3 Tony Breeds 2008-05-26 23:45:25 EDT
Created attachment 306723 [details]
Output readelf -a /usr/bin/ddjvu

For comparison with what's in "dso" in the gdb output
Comment 4 Bug Zapper 2009-06-09 21:13:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tony Breeds 2009-06-14 23:22:09 EDT
FWIW Fedora-11 doesn't seem to have this problem any more (Fedora-10 did).
I'll close the bug.

Note You need to log in before you can comment on or make changes to this bug.